### Method

# Gdk DeviceToolget_tool_type

#### Declaration [src]

    GdkDeviceToolType
    gdk_device_tool_get_tool_type (
      GdkDeviceTool* tool
    )

#### Description [src]

Gets the `GdkDeviceToolType` of the tool.

Gets property | `Gdk.DeviceTool:tool-type`

#### Return value

Type: `GdkDeviceToolType`

The physical type for this tool. This can be used to figure out what sort of pen is being used, such as an airbrush or a pencil.